#!/usr/bin/env python
# -*- coding: utf-8 -*-

from pynamodb.exceptions import GetError

from db_paribhasha.dynamo.import_adapter import ImportAdapter
from db_paribhasha.error_handler import DynamoDBError


def get_adapter(adapter_id):
    """
    Fetches the adapter for a given unique adapter id

    Parameters
    ----------
    adapter_id: String
        Unique Adapter ID

    Returns
    -------
    adapter: Pynamo Model Object
        An item from the ImportAdapter table
    """
    org_id, added_timestamp = adapter_id.split('-')
    try:
        adapter = ImportAdapter.get(int(org_id), int(added_timestamp))
    except GetError as err:
        raise DynamoDBError(err)
    return adapter
