#!/usr/bin/env python
# -*- coding: utf-8 -*-

from builtins import object
import os
import time

from db_paribhasha import PynamoBaseModel, credentials
from pynamodb.attributes import (JSONAttribute, NumberAttribute,
                                 UnicodeAttribute)


class MetadataPatterns(PynamoBaseModel):
    """
    Dynamo DB model for Metadata Patterns.
    """

    class Meta(object):
        table_name = credentials.DYNAMO_METADATA_PATTERNS_TABLE
        region = os.getenv('REGION')

    calculated_id = UnicodeAttribute(range_key=True)
    created_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    modified_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    user_id = UnicodeAttribute(hash_key=True)
    use_count = NumberAttribute(default=0)
    pattern = UnicodeAttribute(null=True)
    info = JSONAttribute(null=True)
